autofs-5.1.5 - allow period following macro in selector value

From: Ian Kent <raven@themaw.net>

If a ${} macro is used in a selector (such as hostd) the parser doesn't
permit a period to follow it (such as when the value is a host name).

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG         |    1 +
 modules/amd_tok.l |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index fd6a6274..24534e34 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -8,6 +8,7 @@ xx/xx/2019 autofs-5.1.6
 - log mount call arguments if mount_verbose is set.
 - Fix NFS mount from IPv6 addresses.
 - make expire remaining log level debug.
+- allow period following macro in selector value.
 
 30/10/2018 autofs-5.1.5
 - fix flag file permission.
diff --git a/modules/amd_tok.l b/modules/amd_tok.l
index cb1ebf77..36fc04b1 100644
--- a/modules/amd_tok.l
+++ b/modules/amd_tok.l
@@ -95,7 +95,7 @@ V6MASK		(12[0-8]|1[0-1][0-9]|[1-9][0-9]|[1-9])
 
 FOPT		(({QSTR}|{FSTR}|{MACRO})+)
 OPTS		({OSTR}(=({VSTR}|{MACRO})+)?)
-SOPT		(({SSTR}|{QSTR}|{MACRO})+)
+SOPT		({SSTR}|{QSTR}|{MACRO}(\.|{SSTR}|{QSTR}|{MACRO})+)
 NOPT		({SSTR}|(({IP4ADDR}(\/{V4MASK})?)|({IP6ADDR}(\/{V6MASK})?)))
 
 MAPOPT		(fs|type|maptype|pref|sublink|cache)
